Reverse Geocoding
Address from Coordinates
The Reverse geocoding service retrieves address candidates from geographic coordinates, with street, house number, postal code, and distance.
Headers & authentication
Required request headers and their expected values.
| Field | Type | Description |
|---|---|---|
tokenreq | String | Authentication token sent in the |
Request
Geographic coordinates (latitude, longitude), radius, and search options.
| Field | Type | Description |
|---|---|---|
parreq | Object | |
iso3req | String | Country code (ISO 3166-1 alpha-3) |
type | String | Type of reverse: Default value: |
radius | Number | Radius from the input coordinates, in meters Default value: |
increase_radius | Number | Increased search radius Default value: |
search_attempts | Number | Number of search attempts Default value: |
max_candidates | Number | Maximum number of candidates to extract Default value: |
datareq | Object | |
latitudereq | Number | Latitude |
longitudereq | Number | Longitude |
Response
Nearest address candidates, distance, administrative hierarchy, and system status.
| Field | Type | Description |
|---|---|---|
data | Object | |
results | Array | Reverse-geocoding results |
hn_id | Number | ID of the number |
province_code | String | Province code |
city | String | City description |
locality | String | District description |
street | String | Street name |
zipcode | String | Postal code |
hn | String | House number |
exponent | String | Exponent |
longitude | String | Longitude |
latitude | String | Latitude |
distance | Number | Distance (in meters) |
system | Object | System error and execution status |
ret_code | Number | Code: 0 no blocking error, <> 0 blocking error code |
des_ret_code | String | Description |
curl -X POST "https://{host}:{port}/Egon/api/revGeo" \
-H "token: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"par": {
"iso3": "ITA"
},
"data": {
"longitude": 10.97382316,
"latitude": 45.406161
}
}'